Package twisted :: Package trial :: Module remote :: Class OneWayBanana

[frames | no frames]

## Class OneWayBanana

           Ephemeral --+
                       |
    BaseProtocol --+   |
                   |   |
            Protocol --+
                       |
                  Pynana --+
                           |
                      Canana --+
                               |
                              OneWayBanana

Method Summary
| ``connectionMade`(self)` Called when a connection is made.
Inherited from Canana
| ``dataReceived`(self, chunk)`
| ``sendEncoded`(self, obj)`
Inherited from Pynana
| ``__init__`(self, isClient)`
| ``_encode`(self, obj, write)`
| ``_selectDialect`(self, dialect)`
| ``callExpressionReceived`(self, obj)`
| ``connectionReady`(self)` Surrogate for connectionMade Called after protocol negotiation.
| ``expressionReceived`(self, lst)` Called when an expression (list, string, or int) is received.
| ``gotItem`(self, item)`
Inherited from Protocol
| ``connectionFailed`(self)` (Deprecated)
| ``connectionLost`(self, reason)` Called when the connection is shut down.
Inherited from BaseProtocol
| ``makeConnection`(self, transport)` Make a connection to a transport and a server.
Inherited from Ephemeral
| ``__getstate__`(self)`
| ``__setstate__`(self, state)`

Class Variable Summary
`int` | `isClient` = 0
`list` | `knownDialects` = `['none']`
Inherited from Pynana
`str` | `buffer` = `''`
`dict` | `incomingVocabulary` = `{1: 'None', 2: 'class', 3: 'derefer...`
`str` | `k` = `'lcache'`
`dict` | `outgoingVocabulary` = `{'function': 6, 'None': 1, 'diction...`
`int` | `v` = 18
Inherited from Protocol
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
Inherited from BaseProtocol
`int` | `connected` = 0
`NoneType` | `transport` = None

Method Details

### connectionMade(self)

Called when a connection is made.

This may be considered the initializer of the protocol, because it is called when the connection is completed. For clients, this is called once the connection to the server has been established; for servers, this is called after an accept() call stops blocking and a socket has been received. If you need to send any greeting or initial message, do it here.

  Overrides:
    `twisted.spread.banana.Canana.connectionMade` (inherited documentation)

Class Variable Details

### isClient

  Type:
    `int`
  Value:

        0

### knownDialects

  Type:
    `list`
  Value:

        ['none']

Generated by Epydoc 2.0 on Sat May 15 20:08:35 2004 | http://epydoc.sf.net